Bug 146709 - Update port: sysutils/psmisc Upgrade to 22.11
Summary: Update port: sysutils/psmisc Upgrade to 22.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-18 17:30 UTC by Douglas Thrift
Modified: 2010-10-06 07:00 UTC (History)
0 users

See Also:


Attachments
psmisc.patch (4.87 KB, patch)
2010-05-18 17:30 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (9.79 KB, patch)
2010-05-19 06:45 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (9.18 KB, patch)
2010-06-09 22:36 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:17 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:32 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 09:11 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:52 UTC, douglaswth
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:17 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:32 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 09:11 UTC, Douglas Thrift
no flags Details | Diff
psmisc.patch (8.22 KB, patch)
2010-08-12 08:52 UTC, douglaswth
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2010-05-18 17:30:04 UTC
Upgraded to psmisc to 22.11. Took maintainership. Fixed pstree so it actually
outputs arguments when the -a (or --arguments) option is specified and fixed
its UTF-8 detection.
Comment 1 Martin Wilke freebsd_committer 2010-05-19 02:16:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Douglas Thrift 2010-05-19 03:08:33 UTC
Hello,

Could you hold off on committing this? I'm going to work on adding a
WITH/WITHOUT_NLS knob.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 3 Douglas Thrift 2010-05-19 06:45:00 UTC
OK,

Here's the new patch. I've added an NLS option and fixed some other stuff.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 4 Martin Wilke freebsd_committer 2010-06-02 15:51:22 UTC
State Changed
From-To: open->feedback


Patch Reject: 

Hmm...  Looks like a unified diff to me...  The text leading up to this 
was: -------------------------- |diff -Nrux .svn -x work 
/usr/ports/sysutils/psmisc/Makefile psmisc/Makefile |--- 
/usr/ports/sysutils/psmisc/Makefile        2010-01-02 08:40:09.000000000 
-0800 |+++ psmisc/Makefile    2010-05-18 22:39:22.883081611 -0700 
-------------------------- Patching file Makefile using Plan A...  Hunk 
#1 failed at 6.  1 out of 1 hunks failed--saving rejects to Makefile.rej 
Hmm...  The next patch looks like a unified diff to me...  The text 
leading up to this was: --------------------------
Comment 5 Douglas Thrift 2010-06-09 22:36:07 UTC
Hello,

I've reworked my patch taking into account the changes from
ports/147181. I'll leave it up to you to determine who should take
maintainership.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 6 Martin Wilke freebsd_committer 2010-07-12 07:18:21 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool
Comment 7 Douglas Thrift 2010-08-12 08:17:00 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 8 Douglas Thrift 2010-08-12 08:17:00 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 9 Douglas Thrift 2010-08-12 08:32:37 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 10 Douglas Thrift 2010-08-12 08:32:37 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 11 Douglas Thrift 2010-08-12 08:49:53 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 12 Douglas Thrift 2010-08-12 08:49:53 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 13 douglaswth 2010-08-12 08:52:43 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglaswth@gmail.com>
<http://douglasthrift.net/>
Comment 14 douglaswth 2010-08-12 08:52:43 UTC
Hello,

I originally submitted this PR almost 3 months ago when psmisc didn't
have a maintainer and offered to take maintainership. Since then another
PR was submitted and that person was given maintainership despite this
one still being open. I tried contacting the new maintainer and the
committer of the other PR, but received no response from either.

I've reworked my patch to work against the latest version of the port.

Thanks!
-- 
Douglas William Thrift
<douglaswth@gmail.com>
<http://douglasthrift.net/>
Comment 15 Douglas Thrift 2010-08-12 09:11:08 UTC
I've reworked the patch again. And the spam filter seems to be eating my
messages.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 16 Douglas Thrift 2010-08-12 09:11:08 UTC
I've reworked the patch again. And the spam filter seems to be eating my
messages.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 17 Philip M. Gollucci freebsd_committer 2010-09-13 02:44:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet is now a committer
Comment 18 dfilter service freebsd_committer 2010-10-06 06:58:16 UTC
sunpoet     2010-10-06 05:58:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/psmisc      Makefile distinfo 
    sysutils/psmisc/files patch-src-Makefile.in patch-src-pstree.c 
  Added files:
    sysutils/psmisc      pkg-plist 
  Log:
  - Add NLS option
  - Add LICENSE
  - Pass maintainership to submitter
  - Update to 22.13 while I'm here
  
  PR:             ports/146709
  Submitted by:   Douglas William Thrift <douglas at douglasthrift.net> (new maintainer)
  Approved by:    sunpoet (myself, maintainer), pgollucci (mentor)
  
  Revision  Changes    Path
  1.29      +23 -5     ports/sysutils/psmisc/Makefile
  1.10      +3 -3      ports/sysutils/psmisc/distinfo
  1.6       +33 -28    ports/sysutils/psmisc/files/patch-src-Makefile.in
  1.6       +38 -14    ports/sysutils/psmisc/files/patch-src-pstree.c
  1.3       +28 -0     ports/sysutils/psmisc/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 19 Po-Chuan Hsieh freebsd_committer 2010-10-06 06:58:48 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!